//----- Anfang BUG1.CPP ------------------------------------
//    (c) 1990 by Thole Groeneveld & toolbox

#include <iostream.h>
#include <iomanip.h>

// Fehler tritt nur auf bei C++ - Compileroption :
//
// [ ] Out-of-line Inline Function
//
// Auerdem mu in die Ausgabekette eine Funktion
// eingehngt werden fr deren Rckgabetyp
// die Ausgabeoperatorfunktion als inline definiert
// worden ist, wie z.B. bei setw(int) mit Rckgabewert
// smanip_int aus iomanip.h
// Die Verwendung von generic.h in iomanip.h ist von
// keinerlei Bedeutung fr das Auftreten des Fehlers

class B {	// entspricht class Time aus timeclss.h
public:
	friend ostream& operator << (ostream&, const B&);
private:
	int y;
};

ostream& operator << (ostream& os, const B& b) {
	os << setw(2) << b.y;
	// Fehlermeldung :
	// B::y is not accessible in function operator << ...
	return os;
	// Warnung :
	// Parameter 'b' is never used in function ...
}
//----- Ende BUG1.CPP --------------------------------------
